<div id="step1">
	<div class="account_header_fixed">
		<span class="header_tit"><a href="#" onclick="history.go(-1); return false;"><img src="/img/mobile/arrow_account.gif"></a>계정삭제</span>
	</div>
	<div class="account_cont">
		<div class="reply_text">계정 삭제를 계속 진행하시기 위해서 <br>
			비밀번호를 한번 더 확인해주세요.
		</div>
		<div class="form-group">
			<label for="exampleInputEmail1">비밀번호 </label>
			<input type="password" class="form-control mybutton_on"  id="member_leave_chk_pwd" placeholder="비밀번호를 입력해주세요" style="width: 98%;" onkeydown="inputSendit();">
		</div>
		<div class="account_btn" style="margin-top:200px;">
			<span><a href="javascript:member_leave_step2()" class="btn btn-success br5"
					 style="font-size: 17px;padding: 10px 0;width: 100%;">계속 진행하기</a></span>
		</div>
	</div>
</div>
<div id="step2" style="display:none;">
	<div class="account_header_fixed">
		<span class="header_tit"><a href="#" onclick="history.go(-1); return false;"><img src="/img/mobile/arrow_account.gif"></a>계정삭제</span>
	</div>
	<div class="reply_cont" style="padding-top: 20px;">
		<div class="reply_cont_wrap">
			<div class="reply_tit">1. 이메일 재사용 및 고객 정보 삭제 안내</div>
			<div class="reply_txt">- 탈퇴할 경우에 가입한 이메일로는 3개월이 지난 후 다시 가입할 수
				있습니다.<br>
				- 사용자 개인 정보 및 이용 기록은 모두 삭제 됩니다,
			</div>
			<div class="reply_tit">2. 개인 정보 및 이용 기록 삭제 안내</div>
			<div class="reply_txt">- 개인 정보 및 이용 기록은 삭제되며, 삭제된 정보는 복구할 수
				없습니다.<br>
				- 계정 정보 : 이메일, 닉네임, 프로필 사진, 생년월일, 성별<br>
				- 서비스 사용 기록 : 좋아요, 보관함,. 구독이력, 알림내역
			</div>
			<div class="reply_tit">3. 개인 댓글 및 답글 처리 안내</div>
			<div class="reply_txt">- 서비스에 남긴 댓글과 답글은 탈퇴해도 삭제되지 않습니다.</div>
		</div>
		<div class="account_check_off" onclick="toggle_check(this)">안내 사항 확인 후 동의</div>
		<div class="account_btn">
			<span><a class="btn btn-grey br5 secession"
					 style="width: 100%;padding: 20px 0;font-size: 17px;" onclick="open_secession()">계정 삭제하기</a></span>
		</div>
	</div>

</div>
<div class="popup_wrap" id="confirm" style="display:none;">
	<div class="popupbox txc">
		<div class="popuptop">
			<h3 class="p_title">계정 삭제하기</h3>
			<span class="btn-close"><a href="javascript:close_secession()"><img src="/img/mobile/btn-close.png"></a></span>
		</div>
		<div class="popupbody">
			<div style="padding:30px 0 15px;font-size:16px;color:#01373a">정말 크로스맵을 떠나실 건가요?</div>
			<div class="txl" style="font-size:13px;color:#868686">계정 삭제를 하시면 회원님의 계정 정보와 사용기록이 영구적으로 삭제됩니다. 정말 떠나실 준비가 되셨다면 [확인]버튼을 선택해주세요.</div>
			<div style="margin:20px 0 30px; display:block; text-align:center; border-bottom:0">
				<span class="btn btn-default_bb br20" style="padding:7px 30px; font-size:14px"  onclick="close_secession()"><span class="current">취소 </span></span>
				<span class="btn btn-success br20" style="padding:7px 30px; font-size:14px" onclick="secession_proc()"><span class="current">확인</span></span>
			</div>
		</div>
	</div>
</div>

<div class="popup_wrap" id="complete" style="display:none;">
	<div class="popupbox txc">
		<div class="popuptop">
			<h3 class="p_title">계정 삭제 완료</h3>
		</div>
		<div class="popupbody">
			<div style="padding:30px 0 15px;font-size:16px;color:#01373a">계정 삭제가 완료되었습니다.</div>

			<div class="txl" style="font-size:13px;color:#868686">크로스맵이 다시 생각나신다면 언제든 돌아와주세요.
				당신을 위한 새로운 이야기들을 항상 준비해놓겠습니다.</div>
			<div style="margin:20px 0 30px; display:block; text-align:center; border-bottom:0">
				<span class="btn btn-success br20" style="padding:7px 30px; font-size:14px" onclick="window.location='/m'"><span class="current">확인</span></span>
			</div>
		</div>
	</div>
</div>
<div class="mask"  style="display:none;">
</div>



<script>


	function open_secession(){

		$btn = $(".account_btn a.secession");

		if($btn.hasClass("btn-success")){
			$("#confirm").show();
			$(".mask").show();
		}


	}

	function close_secession(){
		$(".popup_wrap").hide();
		$(".mask").hide();
	}

	function secession_proc(){

		if($("#member_leave_chk_pwd").val()==""){
			alert("잘못된 접근입니다.");
			return false;
		}


		var form_data = {
			"member_pwd"     : $("#member_leave_chk_pwd").val()
		};
		$.ajax({
			url: '/web/member/member_leave_proc',
			async: false,
			type: 'POST',
			dataType: 'JSON',
			data: form_data,
			success: function (rtnJson) {
				if (rtnJson.code == "0000") {

					$(".popup_wrap").hide();
					$(".mask").hide();
					$("#complete").show();
					$(".mask").show();
					return false;
				} else {
					alert("탈퇴에 실패했습니다.");
					return false;
				}
			},
			error: function (rtnJson) {
				alert('탈퇴에 실패했습니다.');
				return false;
			}
		});




	}

	function toggle_check(elm){

		// 꺼진 상태라면
		$btn = $(".account_btn a.secession");
		if($(elm).hasClass("account_check_off")){
			$(elm).removeClass("account_check_off");
			$(elm).addClass("account_check_on");
			$btn.removeClass("btn-grey");
			$btn.addClass("btn-success");
		}

		//켜진 상태라면
		else{
			$(elm).removeClass("account_check_on");
			$(elm).addClass("account_check_off");
			$btn.addClass("btn-grey");
			$btn.removeClass("btn-success");
		}
	}

	function member_leave_step2(){
		if($("#member_leave_chk_pwd").val()==""){
			alert("비밀번호를 입력해주세요.");
			$("#member_leave_chk_pwd").focus();
			return false;
		}

		var form_data = {
			"member_pwd"     : $("#member_leave_chk_pwd").val()
		};
		$.ajax({
			url: '/web/member/member_pwd_check_proc',
			async: false,
			type: 'POST',
			dataType: 'JSON',
			data: form_data,
			success: function (rtnJson) {
				if (rtnJson.code == "0000") {
					commonLayerClose('step1');
					commonLayerOpen('step2');
					return false;
				} else {
					alert("비밀번호를 확인해주세요.");
					return false;
				}
			},
			error: function (rtnJson) {
				alert('비밀번호를 확인해주세요.');
				return false;
			}
		});
	}

	function inputSendit() {
		if (event.keyCode == 13) {
			member_leave_step2();
		}
	}

</script>
